// -----------------------------------------------------------------------------
// This file contains all styles related to the base component.
// -----------------------------------------------------------------------------









/* ==========================================================================
   $MEDIA-QUERIES
   ========================================================================== */


/* SMALLER MOBILE LAYOUT
----------------------------------------------- */
@include media-breakpoint-down(xsmall) {

}



/* SMALL MOBILE LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-down(small) {

}



/* MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(medium) {

}



/* TABLET LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(medium) {

}



/* TABLET LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(medium, large) {

}



/* DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(large) {

}



/* DESKTOP LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(large, xlarge) {

}



/* BIG DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xlarge) {

}



/* BIGER DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xxlarge) {

}




/* ==========================================================================
   $RETINA@2X
   ========================================================================== */

@include device-pixel-ratio(2) {

}



/* ==========================================================================
   $RETINA@3X
   ========================================================================== */

@include device-pixel-ratio(3) {

}